<?php

if (!function_exists('st_af_cpt_get_template_tag_version')) {

    function st_af_cpt_get_template_tag_version()
    {
        return '1.0.0';
    }
}

if (!function_exists('st_af_cpt_get_the_heading')) {

    function st_af_cpt_get_the_heading($post = null)
    {
        $post = get_post($post);

        return trim(get_post_meta($post->ID, 'heading', true));
    }
}

if (!function_exists('st_af_cpt_get_the_star_rating')) {

    function st_af_cpt_get_the_star_rating($post = null)
    {
        $post     = get_post($post);
        $star_max = 5;
        $star     = (int) get_post_meta($post->ID, 'star', true);
        $star     = min(max(absint($star), 0), $star_max);    // 0〜 {$star_max}

        return $star;
    }
}

if (!function_exists('st_af_cpt_get_the_star_html')) {

    function st_af_cpt_get_the_star_html($post = null)
    {
        $post      = get_post($post);
        $star_max  = 5;
        $star      = st_af_cpt_get_the_star_rating($post);
        $star_html = '';

        if ($star > 0) {

            $star_html = '<span class="st-star">';
            $star_html .= str_repeat('<i class="fa fa-star"></i>', $star);
            $star_html .= str_repeat('<i class="fa fa-star-o"></i>', $star_max - $star);
            $star_html .= '</span>';
        }

        return $star_html;
    }
}

if (!function_exists('st_af_cpt_get_the_raw_description')) {

    function st_af_cpt_get_the_raw_description($post = null)
    {
        $post = get_post($post);

        return trim(get_post_meta($post->ID, 'description', true));
    }
}

if (!function_exists('st_af_cpt_get_the_description')) {

    function st_af_cpt_get_the_description($post = null)
    {
        $post        = get_post($post);
        $description = st_af_cpt_get_the_raw_description($post);
        $description = apply_filters('the_content', $description);
        $description = str_replace(']]>', ']]&gt;', $description);

        return $description;
    }
}

if (!function_exists('st_af_cpt_get_the_raw_description_2')) {

    function st_af_cpt_get_the_raw_description_2($post = null)
    {
        $post = get_post($post);

        return trim(get_post_meta($post->ID, 'description_2', true));
    }
}

if (!function_exists('st_af_cpt_get_the_description_2')) {

    function st_af_cpt_get_the_description_2($post = null)
    {
        $post          = get_post($post);
        $description_2 = st_af_cpt_get_the_raw_description_2($post);
        $description_2 = apply_filters('the_content', $description_2);
        $description_2 = str_replace(']]>', ']]&gt;', $description_2);

        return $description_2;
    }
}

if (!function_exists('st_af_cpt_get_the_raw_banner_html')) {

    function st_af_cpt_get_the_raw_banner_html($post = null)
    {
        $post = get_post($post);

        return trim(get_post_meta($post->ID, 'banner_html', true));
    }
}

if (!function_exists('st_af_cpt_get_the_raw_text_link_html')) {

    function st_af_cpt_get_the_raw_text_link_html($post = null)
    {
        $post = get_post($post);

        return trim(get_post_meta($post->ID, 'link_html', true));
    }
}

if (!function_exists('st_af_cpt_get_the_detail_link_uri')) {

    function st_af_cpt_get_the_detail_link_uri($post = null)
    {
        $post = get_post($post);

        $link_uri = trim(get_post_meta($post->ID, 'link_uri', true));

        return $link_uri;
    }
}

if (!function_exists('st_af_cpt_get_the_detail_link_label')) {

    function st_af_cpt_get_the_detail_link_label($post = null)
    {
        $post           = get_post($post);
        $link_uri_title = trim(get_post_meta($post->ID, 'link_uri_title', true));

        if ($link_uri_title === '') {
            $link_uri_title = "詳細ページへ";
        }

        return $link_uri_title;
    }
}

if (!function_exists('st_af_cpt_get_the_nofollow')) {

    function st_af_cpt_get_the_nofollow($post = null)
    {
        $post = get_post($post);

        return (int) (bool) trim(get_post_meta($post->ID, 'nofollow', true));
    }
}

if (!function_exists('st_af_cpt_get_the_raw_detail_link_html')) {

    function st_af_cpt_get_the_raw_detail_link_html($post = null)
    {
        $post              = get_post($post);
        $detail_link_uri   = st_af_cpt_get_the_detail_link_uri($post);
        $detail_link_label = st_af_cpt_get_the_detail_link_label($post);
        $rel               = st_af_cpt_get_the_nofollow($post) ? ' rel="nofollow"' : '';

        return '<a href="' . $detail_link_uri . '"' . $rel . '>' . esc_html($detail_link_label) . '</a>';
    }
}

if (!function_exists('st_af_cpt_is_wysiwyg_editor_disabled')) {

    function st_af_cpt_is_wysiwyg_editor_disabled($post = null)
    {
        $post = get_post($post);

        return (int) (bool) trim(get_post_meta($post->ID, 'raw_html_text_editor', true));
    }
}

if (!function_exists('st_af_cpt_get_the_raw_raw_html')) {

    function st_af_cpt_get_the_raw_raw_html($post = null)
    {
        $post     = get_post($post);
        $raw_html = trim(get_post_meta($post->ID, 'raw_html', true));

        if (st_af_cpt_is_wysiwyg_editor_disabled($post)) {
            $raw_html = do_shortcode($raw_html);
        } else {
            $raw_html = apply_filters('the_content', $raw_html);
            $raw_html = str_replace(']]>', ']]&gt;', $raw_html);
        }

        return $raw_html;
    }
}


if (!function_exists('st_af_cpt_has_banner')) {

    function st_af_cpt_has_banner($post = null)
    {
        $post = get_post($post);

        return (st_af_cpt_get_the_raw_banner_html($post) !== '');
    }
}

if (!function_exists('st_af_cpt_has_text_link')) {

    function st_af_cpt_has_text_link($post = null)
    {
        $post = get_post($post);

        return (st_af_cpt_get_the_raw_text_link_html($post) !== '');
    }
}

if (!function_exists('st_af_cpt_has_detail_link')) {

    function st_af_cpt_has_detail_link($post = null)
    {
        $post = get_post($post);

        return (st_af_cpt_get_the_detail_link_uri($post) !== '');
    }
}

if (!function_exists('st_af_cpt_has_raw_html')) {

    function st_af_cpt_has_raw_html($post = null)
    {
        $post = get_post($post);

        return (st_af_cpt_get_the_raw_raw_html($post) !== '');
    }
}

if (!function_exists('st_af_cpt_has_all')) {

    function st_af_cpt_has_all($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return ($has_banner_html && $has_text_link_html && $has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_only_banner')) {

    function st_af_cpt_has_only_banner($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return ($has_banner_html && !$has_text_link_html && !$has_detail_link_uri);
    }
}

if (!function_exists('st_af_ctp_has_only_text_link')) {

    function st_af_ctp_has_only_text_link($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return (!$has_banner_html && $has_text_link_html && !$has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_only_detail_link')) {

    function st_af_cpt_has_only_detail_link($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return (!$has_banner_html && !$has_text_link_html && $has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_only_banner_and_text_link')) {

    function st_af_cpt_has_only_banner_and_text_link($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return ($has_banner_html && $has_text_link_html && !$has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_only_banner_and_detail_link')) {

    function st_af_cpt_has_only_banner_and_detail_link($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return ($has_banner_html && !$has_text_link_html && $has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_only_text_and_detail_link')) {

    function st_af_cpt_has_only_text_and_detail_link($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return (!$has_banner_html && $has_text_link_html && $has_detail_link_uri);
    }
}

if (!function_exists('st_af_cpt_has_nothing')) {

    function st_af_cpt_has_nothing($post = null)
    {
        $post                = get_post($post);
        $has_banner_html     = st_af_cpt_has_banner($post);
        $has_text_link_html  = st_af_cpt_has_text_link($post);
        $has_detail_link_uri = st_af_cpt_has_detail_link($post);

        return (!$has_banner_html && !$has_text_link_html && !$has_detail_link_uri);
    }
}

